Package com.avaya.clientservices.presence

## Interface PresenceWatcherRequestListener

-     public interface PresenceWatcherRequestListener

  Interface that can be used to receive presence watcher request updates.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onPresenceWatcherRequestCancelled​(PresenceAccessControlList presenceAccessControlList, PresenceWatcher presenceWatcher)` | Called when presence tracking request initiated by another user in the system has been cancelled.
    `void` | `onPresenceWatcherRequestReceived​(PresenceAccessControlList presenceAccessControlList, PresenceWatcher presenceWatcher)` | Called when another user of the system would like to track local user's presence.

- - ### Method Detail

    - #### onPresenceWatcherRequestReceived

          void onPresenceWatcherRequestReceived​(PresenceAccessControlList presenceAccessControlList,
                                                PresenceWatcher presenceWatcher)

      Called when another user of the system would like to track local user's presence. The other user's information is provided in the `PresenceWatcher` parameter.
      Parameters:
        `presenceAccessControlList` - The presence access control list associated with the callback.
        `presenceWatcher` - Received presence watcher request.

    - #### onPresenceWatcherRequestCancelled

          void onPresenceWatcherRequestCancelled​(PresenceAccessControlList presenceAccessControlList,
                                                 PresenceWatcher presenceWatcher)

      Called when presence tracking request initiated by another user in the system has been cancelled. The other user's information is provided in the `PresenceWatcher` parameter.
      Parameters:
        `presenceAccessControlList` - The presence access control list associated with the callback.
        `presenceWatcher` - Cancelled presence watcher request.